/**
 * Maps to the BT module namespace created on the window.braintree object
 */
export declare const BtModule: {
    readonly Client: "client";
    readonly HostedCardFields: "hostedFields";
};
export type BtModuleKeys = (typeof BtModule)[keyof typeof BtModule];
export type BtModuleLoadConfig = {
    id: string;
    module: BtModuleKeys;
    amdModule: {
        unminified: string;
        minified: string;
    };
    script: {
        unminified: string;
        minified: string;
    };
};
export declare const BT_NAMESPACE = "braintree";
export declare const BT_ASSET_NAME: {
    readonly client: "client";
    readonly hostedFields: "hosted-fields";
};
export declare const btModulesLoadConfig: Record<BtModuleKeys, BtModuleLoadConfig>;
