/// <reference types="requirejs" />
type LoadAxoOptionsMetaData = {
    bundleIdOverride?: string;
};
export type GenerateAssetUrlParams = {
    assetPath: string;
    bundleId?: string;
};
export type LoadAxoOptions = {
    platform: AxoSupportedPlatform;
    btSdkVersion: string;
    minified?: boolean;
    metadata?: LoadAxoOptionsMetaData;
};
export declare const AxoSupportedPlatforms: {
    readonly BT: "BT";
    readonly PPCP: "PPCP";
};
export type AxoSupportedPlatform = keyof typeof AxoSupportedPlatforms;
declare global {
    interface Window {
        define: () => void & {
            amd?: object;
        };
        requirejs?: Require;
        require?: (modules: string[], ready?: () => void, errback?: () => void) => void;
    }
}
export {};
